Persyaratan API level target untuk aplikasi Google Play

Untuk membantu memperjelas batas waktu API level target, kami menetapkan tanggalnya menjadi 31 Agustus setiap tahunnya.

Mulai 31 Agustus 2023:

  • Aplikasi baru harus menargetkan Android 13 (API level 33) atau yang lebih tinggi; kecuali untuk aplikasi Wear OS, yang harus menargetkan Android 11 (API level 30) atau hingga Android 13 (API level 33).
  • Aplikasi yang sudah ada harus menargetkan API level 31 atau yang lebih tinggi agar tetap tersedia bagi pengguna pada perangkat yang menjalankan Android OS yang lebih tinggi dari level API target aplikasi Anda. Aplikasi yang menargetkan API level 30 atau yang lebih rendah (menargetkan API level 29 atau yang lebih rendah untuk Wear OS), hanya akan tersedia pada perangkat yang menjalankan Android OS pada level yang sama atau yang lebih rendah dari level API target aplikasi Anda.
Anda dapat meminta perpanjangan waktu hingga 1 November 2023, jika memerlukan waktu tambahan untuk mengupdate aplikasi. Anda akan dapat mengakses formulir perpanjangan waktu aplikasi Anda di Konsol Play pada awal Agustus jika terdampak, melalui halaman Status kebijakan dengan mengklik peringatan atau masalah yang relevan.

Setiap versi Android baru memperkenalkan perubahan yang membuat pengalaman pengguna, keamanan, dan performa platform Android secara keseluruhan jadi lebih baik. Setiap aplikasi menentukan targetSdkVersion (disebut juga level API target) di file manifes. Level API target menunjukkan bagaimana aplikasi Anda seharusnya berjalan di versi Android yang berbeda.

Dengan mengonfigurasi aplikasi agar menargetkan level API terbaru, Anda memastikan bahwa pengguna mendapatkan manfaat dari peningkatan keamanan, privasi, dan performa, sembari tetap mengizinkan aplikasi Anda berjalan di versi Android yang lebih lama (sampai ke minSdkVersion yang ditentukan).

Untuk memberi pengguna Android dan Google Play pengalaman yang aman, Google Play mewajibkan semua aplikasi memenuhi persyaratan level API target yang tercantum di bawah ini.

Pengecualian untuk persyaratan ini mencakup yang berikut:

  • Aplikasi pribadi permanen yang dibatasi untuk pengguna di organisasi tertentu dan hanya ditujukan untuk distribusi internal. 
  • Aplikasi yang menargetkan faktor bentuk otomotif dan dipaketkan dalam paket yang sama akan tetap dapat ditemukan oleh semua pengguna Google Play.

Definisi

Aplikasi baru Aplikasi yang belum dipublikasikan di Google Play (misalnya, aplikasi baru).
Aplikasi yang sudah ada Aplikasi yang dipublikasikan di Google Play.
Update aplikasi Versi baru aplikasi yang Anda kirimkan untuk peninjauan guna mengganti aplikasi yang sudah ada.

Persyaratan update aplikasi

Versi Android OS
(level API)

Kapan pengiriman aplikasi baru dan update aplikasi diwajibkan untuk menargetkan level API ini?
Aplikasi baru Update aplikasi

Android 13 (API level 33)*

31 Agustus 2023

31 Agustus 2023

Android 12 (API level 31)

31 Agustus 2022

1 November 2022

*Untuk memudahkan transisi bagi developer, developer akan dapat meminta perpanjangan waktu hingga 1 November.

Tips: Untuk mendapatkan panduan teknis mengenai cara mengubah API level target aplikasi agar memenuhi persyaratan ini, lihat panduan migrasi.

Persyaratan aplikasi Wear OS

Versi Android OS (level API)

Kapan pengiriman aplikasi Wear OS diwajibkan untuk menargetkan level API ini?
Aplikasi baru Update aplikasi
Android 11 (API level 30) (tidak ada perubahan) 1 Agustus 2022 1 November 2022

Persyaratan ketersediaan aplikasi

Saat ini, aplikasi yang sudah ada (di perangkat seluler, Android Auto, Android TV) harus menargetkan API level 31 atau yang lebih tinggi paling lambat 31 Agustus 2023 (menargetkan API 30 atau hingga API level 33 untuk Wear OS). Jika tidak memenuhinya, aplikasi tidak akan dapat ditemukan lagi oleh semua pengguna Google Play yang perangkatnya menjalankan versi Android OS yang lebih baru daripada level API target aplikasi Anda. Hal ini terjadi karena aplikasi Anda tidak dibuat untuk memenuhi standar keamanan dan kualitas yang diharapkan pengguna dari versi OS Android yang lebih baru.

  • Aplikasi dengan level target Android 11 (API level 30)* atau yang lebih rendah tidak akan tersedia bagi pengguna baru yang menjalankan Android OS yang lebih tinggi dari API target aplikasi setelah 31 Agustus 2023.
  • Aplikasi dengan level target Android 10 (API level 29) atau yang lebih rendah belum tersedia untuk pengguna baru yang menjalankan Android OS yang lebih tinggi dari API target aplikasi setelah 1 November 2022, atau 1 Mei 2023, jika aplikasi Anda mendapatkan perpanjangan waktu.

*Untuk memudahkan transisi bagi developer, developer akan dapat meminta perpanjangan waktu hingga 1 November 2023. Anda akan dapat mengakses formulir perpanjangan waktu aplikasi di Konsol Play pada awal Agustus jika Anda terdampak, melalui halaman Status kebijakan dengan mengklik masalah yang relevan.


Hal yang perlu dilakukan untuk mematuhi kebijakan

Aplikasi baru

Aplikasi yang sudah ada

Saat memublikasikan aplikasi baru, Anda harus menargetkan API level 33 atau yang lebih tinggi.

Jika aplikasi yang sudah ada menargetkan API level 31 atau yang lebih tinggi, berarti aplikasi Anda sudah mematuhi kebijakan ini.

Jika target aplikasi yang sudah ada lebih rendah dari API level 31, aplikasi tersebut tidak akan tersedia lagi untuk semua pengguna Google Play yang perangkatnya menjalankan versi Android OS yang lebih baru daripada level API target aplikasi. Hal ini terjadi karena aplikasi Anda tidak dibuat untuk memenuhi standar keamanan dan kualitas yang diharapkan pengguna dari versi OS Android yang lebih baru.

  • Jika berencana mengupdate aplikasi ini ke level API target yang lebih tinggi, Anda dapat mengirimkan permintaan perpanjangan waktu agar aplikasi tetap didistribusikan kepada semua pengguna di Google Play hingga 1 November 2023. Aplikasi yang terdampak akan menerima peringatan kebijakan dan pesan dalam kotak masuk di Konsol Play, dan Anda akan dapat mengakses formulir permintaan perpanjangan waktu dari dalam halaman detail peringatan atau masalah, yang diakses melalui halaman Status kebijakan.
Saat mengupdate aplikasi, Anda harus menargetkan API level 33 atau yang lebih tinggi.


Persyaratan Wear OS

Aplikasi baru

Aplikasi yang sudah ada

Saat memublikasikan aplikasi baru, Anda harus menargetkan API level 30 atau hingga Android 13 (API level 33).

Jika aplikasi yang sudah ada menargetkan API level 30 atau hingga Android 13 (API level 33), berarti aplikasi Anda mematuhi kebijakan ini.

Jika target aplikasi yang sudah ada lebih rendah dari API level 30, aplikasi tersebut tidak akan tersedia lagi untuk semua pengguna Google Play yang perangkatnya menjalankan versi Android OS yang lebih baru daripada level API target aplikasi. Hal ini terjadi karena aplikasi Anda tidak dibuat untuk memenuhi standar keamanan dan kualitas yang diharapkan pengguna dari versi OS Android yang lebih baru.

  • Jika berencana mengupdate aplikasi ini untuk menargetkan API level 30, Anda dapat mengirimkan permintaan perpanjangan waktu agar aplikasi tetap didistribusikan kepada semua pengguna di Google Play hingga 1 November 2023. Aplikasi yang terdampak akan menerima peringatan kebijakan dan pesan dalam kotak masuk di Konsol Play, dan Anda akan dapat mengakses formulir permintaan perpanjangan waktu dari dalam halaman detail peringatan atau masalah, yang diakses melalui halaman Status kebijakan.
Saat mengupdate aplikasi, Anda harus menargetkan API level 30 atau hingga Android 13 (API level 33).

Pertanyaan umum (FAQ)

Untuk aplikasi yang menargetkan API level 30 atau yang lebih rendah

Saya memiliki aplikasi yang tersedia di Google Play yang menargetkan API level 30 atau yang lebih rendah (untuk Wear OS, aplikasi yang menargetkan API level 29 atau yang lebih rendah), dan saya tidak berencana untuk mengupdatenya. Apa opsi saya?

Jika ingin tetap membuat aplikasi ini tersedia bagi pengguna yang sudah ada, Anda tidak perlu melakukan apa pun. Namun, aplikasi tidak akan tersedia di Google Play bagi pengguna baru yang perangkatnya menjalankan Android OS yang lebih baru daripada yang ditargetkan aplikasi Anda. Aplikasi tersebut hanya akan tersedia bagi pengguna Google Play yang perangkatnya menjalankan Android OS dengan level API aplikasi Anda atau yang lebih rendah.

Mulai 31 Agustus 2023, aplikasi Anda harus memenuhi persyaratan level API target ini. Jika tidak, aplikasi Anda tidak akan lagi dapat ditemukan oleh semua pengguna Google Play yang perangkatnya menjalankan versi Android OS yang lebih baru daripada level API target aplikasi Anda.

Jika berencana mengupdate aplikasi ke API target yang lebih baru dan memerlukan tambahan waktu setelah 31 Agustus, Anda dapat meminta perpanjangan waktu agar aplikasi tetap didistribusikan ke semua pengguna Google Play hingga 1 November. Formulir perpanjangan waktu akan tersedia dalam tahun ini di Konsol Play.

Jika ingin menghentikan ketersediaan aplikasi Anda bagi pengguna baru meski di perangkat lama, Anda dapat membatalkan publikasi aplikasi.

Di mana saya dapat menemukan formulir perpanjangan waktu agar aplikasi saya tetap didistribusikan ke semua pengguna Google Play hingga 1 November 2023?

Hanya aplikasi yang tidak mematuhi kebijakan yang akan menerima peringatan kebijakan dan pesan dalam kotak masuk di Konsol Play. Formulir perpanjangan waktu tersedia melalui halaman detail peringatan atau masalah, yang tersedia di halaman Status kebijakan di Konsol Play.

Saya ingin menghentikan publikasi aplikasi saya di Google Play. Apa yang bisa saya lakukan?

Untuk mengetahui petunjuk cara membatalkan publikasi aplikasi, lihat Mengupdate atau membatalkan publikasi aplikasi.

Bagaimana dampak dari perubahan ini pada pengguna yang sudah mendownload aplikasi saya?

Pengguna yang sebelumnya telah menginstal aplikasi tersebut dari Google Play tidak akan terkena dampak dan tetap dapat menemukan, menginstal ulang, dan menggunakannya di versi Android OS apa pun yang didukung aplikasi Anda.

Apakah perubahan ini akan berdampak pada download aplikasi?

Perubahan ini mungkin berdampak pada tingkat download aplikasi Anda jika pengguna baru yang menggunakan versi Android OS yang lebih baru di perangkatnya tidak dapat menemukan atau mendownload aplikasi tersebut dari Google Play.

Akan seperti apa pengalaman pengguna jika pengguna di perangkat yang lebih baru mengunjungi deep link ke halaman app store, tetapi aplikasi tersebut menargetkan API level 30 atau yang lebih rendah?

Google Play akan memberi tahu pengguna bahwa "aplikasi ini tidak tersedia untuk diinstal di perangkatnya karena aplikasi ini dibuat untuk versi Android yang lebih lama".

Apakah ada pengecualian untuk aplikasi yang sudah ada, yang menargetkan API 30 atau yang lebih rendah?

Ya. Kami memberikan pengecualian untuk aplikasi pribadi permanen yang dibatasi untuk pengguna di organisasi tertentu dan hanya ditujukan untuk distribusi internal. Selain itu, aplikasi yang menargetkan faktor bentuk Android Automotive OS juga dikecualikan.

Apakah ini membantu?

Bagaimana cara meningkatkannya?

Perlu bantuan lain?

Coba langkah-langkah selanjutnya berikut:

Telusuri
Hapus penelusuran
Tutup penelusuran
Aplikasi Google
Menu utama